<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
$routes->get('/', 'Home::index');

$routes->post('pengaduan/simpan', 'Home::simpan');
$routes->get('pengaduan/sukses/(:segment)', 'Home::sukses/$1');
$routes->get('pengaduan/buat', 'Home::buat');     // Halaman Form Pengaduan
$routes->post('pengaduan/cek', 'Home::cekStatus'); // Menangani form dari Pop-up

// Rute Admin
$routes->group('admin', function($routes) {
    $routes->get('/', 'Admin::index');
    $routes->get('dashboard', 'Admin::index');
    $routes->get('pengaduan', 'Admin::kelola'); // Menampilkan tabel pengaduan

    // Rute Baru untuk Tindak Lanjut
    $routes->get('pengaduan/detail/(:segment)', 'Admin::detail/$1');
    $routes->post('pengaduan/update', 'Admin::updateProgres');

    // Rute Pengaturan & GoWA
    $routes->get('pengaturan', 'Admin::pengaturan');
    $routes->post('pengaturan/simpan', 'Admin::simpanPengaturan');
    $routes->get('pengaturan/gowa-qr', 'Admin::getGowaQR');
    $routes->get('pengaturan/gowa-status', 'Admin::getGowaStatus'); // Tambahkan baris ini
    $routes->get('notifikasi', 'Notifikasi::index');
    $routes->get('notifikasi/proses', 'Notifikasi::prosesAntrian'); // Tambahkan baris ini
});